Argus API Argus Camera API

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions
Argus::IStreamCaptureMetadata Class Reference

An interface that reports metadata for a single stream in a single capture. More...

`#include <CaptureMetadata.h>`

Inheritance diagram for Argus::IStreamCaptureMetadata:

List of all members.

## Public Member Functions

virtual NormalizedRect | getSourceClipRect () const =0
| Returns the clip rectangle used for this stream.

## Static Public Member Functions

static const InterfaceID & | id ()

## Protected Member Functions

| ~IStreamCaptureMetadata ()
Protected Member Functions inherited from Argus::Interface
| Interface ()
| ~Interface ()

## Detailed Description

An interface that reports metadata for a single stream in a single capture.

Definition at line 133 of file CaptureMetadata.h.

## Constructor & Destructor Documentation

Argus::IStreamCaptureMetadata::~IStreamCaptureMetadata | ( |  | ) |

inlineprotected

Definition at line 146 of file CaptureMetadata.h.

## Member Function Documentation

virtual NormalizedRect Argus::IStreamCaptureMetadata::getSourceClipRect | ( |  | ) | const

pure virtual

Returns the clip rectangle used for this stream.

static const InterfaceID& Argus::IStreamCaptureMetadata::id | ( |  | ) |

inlinestatic

Definition at line 137 of file CaptureMetadata.h.

The documentation for this class was generated from the following file:

- include/Argus/CaptureMetadata.h